> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List materialization schedules (Paginated)

GET https://api.sigmacomputing.com/v2.1/workbooks/{workbookId}/materialization-schedules


  **Attention:** This API endpoint uses pagination by default.

  This endpoint retrieves a list of all materialization schedules associated with a workbook. Each schedule details when and how often specific workbook elements are automatically materialized to optimize performance and data freshness.
  ### Usage notes
  - Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
  - To retrieve additional pages of results, use the response of the `nextPage` parameter as the `page` query parameter in the following request.

  ### Usage scenarios
  - **Monitoring and management:** Administrators can monitor and manage the schedules for materialization to ensure optimal system performance.
  - **Audit and review:** Periodic reviews of materialization schedules can help in assessing the efficiency of data processes and making necessary adjustments.

  ### Best practices
  - Regularly review materialization schedules to align them with current data usage patterns and business needs.
  - Use pagination to manage large sets of data and improve response times of API calls.

Reference: https://help.sigmacomputing.com/reference/v-2-1-list-materialization-schedules

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2.1/workbooks/{workbookId}/materialization-schedules:
    get:
      operationId: v2_1_listMaterializationSchedules
      summary: List materialization schedules (Paginated)
      description: |2-

          **Attention:** This API endpoint uses pagination by default.

          This endpoint retrieves a list of all materialization schedules associated with a workbook. Each schedule details when and how often specific workbook elements are automatically materialized to optimize performance and data freshness.
          ### Usage notes
          - Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
          - To retrieve additional pages of results, use the response of the `nextPage` parameter as the `page` query parameter in the following request.

          ### Usage scenarios
          - **Monitoring and management:** Administrators can monitor and manage the schedules for materialization to ensure optimal system performance.
          - **Audit and review:** Periodic reviews of materialization schedules can help in assessing the efficiency of data processes and making necessary adjustments.

          ### Best practices
          - Regularly review materialization schedules to align them with current data usage patterns and business needs.
          - Use pagination to manage large sets of data and improve response times of API calls.
      tags:
        - Workbooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/workbooks_v2_1_listMaterializationSchedules_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V21WorkbooksWorkbookIdMaterializationSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule:
      type: object
      properties:
        cronSpec:
          type: string
          description: Cron expression to use for the schedule
        timezone:
          type: string
          description: Timezone code, for example, PST
      title: >-
        V21WorkbooksWorkbookIdMaterializationSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule
    V21WorkbooksWorkbookIdMaterializationSchedulesGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        sheetId:
          type: string
          description: Identifier of the materialization schedule for the element
        elementName:
          type: string
        schedule:
          oneOf:
            - $ref: >-
                #/components/schemas/V21WorkbooksWorkbookIdMaterializationSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule
            - type: 'null'
        configuredAt:
          type: string
          format: date-time
        paused:
          type: boolean
      required:
        - sheetId
        - elementName
        - schedule
        - configuredAt
        - paused
      title: >-
        V21WorkbooksWorkbookIdMaterializationSchedulesGetResponsesContentApplicationJsonSchemaEntriesItems
    workbooks_v2_1_listMaterializationSchedules_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V21WorkbooksWorkbookIdMaterializationSchedulesGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPage:
          type:
            - string
            - 'null'
          description: >-
            Returns a string that can be used as the `page` parameter in the
            next request to fetch the next page of results. The last page of
            results returns `null`.
        total:
          type: number
          format: double
          description: >-
            Total number of results. Useful to determine if there is a need to
            paginate.
        hasMore:
          type: boolean
          description: '**[Deprecated]** Indicates whether more results are available.'
      required:
        - entries
        - nextPage
      title: workbooks_v2_1_listMaterializationSchedules_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "sheetId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
      "elementName": "Monthly Sales Summary",
      "schedule": {
        "cronSpec": "0 2 1 * *",
        "timezone": "PST"
      },
      "configuredAt": "2024-01-15T09:30:00Z",
      "paused": false
    }
  ],
  "nextPage": "eyJwYWdlIjoiMg==",
  "total": 25,
  "hasMore": true
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2.1/workbooks/workbookId/materialization-schedules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```